
From: Martin Pool <mbp@samba.org>

ia64's ia64_mv_irq_desc typedef needs to declare itself as returning an
irq_desc_t.  But (presumably for include ordering reasons), irq_desc_t is
not in scope there.  So they are using `struct irq_desc'.

But struct irq_desc does not exsit: we're currently using a silly typedefed
anonymous struct thing.

So add the structure name as well.


 include/linux/irq.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/irq.h~create-struct-irq_desc include/linux/irq.h
--- 25/include/linux/irq.h~create-struct-irq_desc	2003-08-06 00:27:29.000000000 -0700
+++ 25-akpm/include/linux/irq.h	2003-08-06 00:27:29.000000000 -0700
@@ -57,7 +57,7 @@ typedef struct hw_interrupt_type  hw_irq
  *
  * Pad this out to 32 bytes for cache and indexing reasons.
  */
-typedef struct {
+typedef struct irq_desc {
 	unsigned int status;		/* IRQ status */
 	hw_irq_controller *handler;
 	struct irqaction *action;	/* IRQ action list */

_
